function hbrake --argument-names srcfile
    if test -z "$srcfile"
        echo "Usage: hbrake <srcfile>"
        return 1
    end
    if not test -f "$srcfile"
        echo "Error: not a regular file: $srcfile"
        return 2
    end
    if not command -q HandBrakeCLI
        echo "Error: HandBrakeCLI is required"
        return 3
    end

    # SRC: srcfile.extension
    # DST: srcfile-1080p60.mp4
    set --local dstfile (string split -r -m1 . "$srcfile")[1]-1080p60.mp4
    set --local preset 'Vimeo YouTube HQ 1080p60'

    HandBrakeCLI --preset $preset --input "$srcfile" --output "$dstfile"
end
